%define compatv 71
%{?compatv:%define compatfv 7.1}
%define _extdir %{_libdir}/php%{?compatv}/extensions
%define apcu_bc_ver 1.0.3

Summary: APC User Cache PHP %{?compatfv} extension
Summary(ko): APC 사용자 캐시 PHP %{?compatfv} 확장
Name: php%{?compatv}-pecl-apcu
Version: 5.1.9
Release: 1%{?dist}
Epoch: 1
Group: Development/Languages
License: PHP
Source0: http://pecl.php.net/get/apcu-%{version}.tgz
Source1: http://pecl.php.net/get/apcu_bc-%{apcu_bc_ver}.tgz
Source2: apcu.ini
Patch0: apcu_bc-build-path.patch

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires: php%{?compatv}api
BuildRequires: php%{?compatv}-devel
Provides: php%{?compatv}-pecl(apcu) = %{version}
Provides: php%{?compatv}-apcu php%{?compatv}-apc

%description
APC User Caching

%prep
%setup -q -n apcu-%{version} -a1

mv apcu_bc-%{apcu_bc_ver} apcu_bc
%patch0 -p0


%build
phpize%{?compatv}
./configure \
	--enable-apcu-clear-signal \
	--enable-apcu-spinlocks

%{__make} %{?_smp_mflags}

cd apcu_bc
phpize%{?compatv}
./configure

%{__make} %{?_smp_mflags}
cd -

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_extdir}/
%{__mkdir_p} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/{%{!?compatv:apache},fpm}/
%{!?compatv:%{__install} -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/apache/apcu.ini}
%{__install} -m644 %{SOURCE2} %{buildroot}%{_sysconfdir}/php%{?compatv}.d/fpm/apcu.ini
%{__install} -m755 modules/apcu.so %{buildroot}%{_extdir}/apcu.so
%{__install} -m755 apcu_bc/modules/apc.so %{buildroot}%{_extdir}/apcu_bc.so

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(755,root,root) %{_extdir}/*.so
%{!?compatv:%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/apache/apcu.ini}
%config(noreplace) %{_sysconfdir}/php%{?compatv}.d/fpm/apcu.ini


%changelog
* Sat Feb 10 2018 JoungKyun.Kim <http://oops.org> 1:5.1.9-1%{?dist}
- update 5.1.9
  http://pecl.php.net/package-changelog.php?package=APCu&release=5.1.9

* Fri Dec 16 2016 JoungKyun.Kim <http://oops.org> 1:5.1.7-1%{?dist}
- update 5.1.7
  http://pecl.php.net/package-changelog.php?package=APCu&release=5.1.7

* Thu Aug 11 2016 JoungKyun.Kim <http://oops.org> 1:5.1.5-1%{?dist}
- update 5.1.5
  http://pecl.php.net/package-changelog.php?package=APCu&release=5.1.5
- update apcu_bc 1.0.3 and fixed missing apcu_bc.so
  http://pecl.php.net/package-changelog.php?package=apcu_bc&release=1.0.3
- fixed typo apcu.enabeld to apcu.enabled

* Sat Jan  9 2016 JoungKyun.Kim <http://oops.org> 1:5.1.2-1%{?dist}
- update 5.1.2 for PHP7
- add apcu_bc extension

* Tue Nov 10 2015 JoungKyun.Kim <http://oops.org> 1:4.0.7-1%{?dist}
- update 4.0.7

* Wed Oct  5 2011 JoungKyun.Kim <http://oops.org> 0:3.1.9-1%{?dist}
- first packaged

